Loading...
Searching...
No Matches
stdex::sys_object Class Reference

Operating system object (file, pipe, anything with an OS handle etc.) More...

`#include <stdex/system.hpp>`

Inheritance diagram for stdex::sys_object:

## Public Member Functions

| sys_object (sys_handle h=invalid_handle)
| sys_object (const sys_object &other)
sys_object & | operator= (const sys_object &other)
| sys_object (sys_object &&other) noexcept
sys_object & | operator= (sys_object &&other) noexcept
virtual void | close ()
| Closes object.
| operator bool () const noexcept
| Returns true if object is valid.
sys_handle | get () const noexcept
| Returns object handle.

## Static Protected Member Functions

static void | close (sys_handle h)
| Closes object.
static sys_handle | duplicate (sys_handle h, bool inherit)
| Duplicates given object.

## Protected Attributes

sys_handle | m_h

## Detailed Description

Operating system object (file, pipe, anything with an OS handle etc.)

## Member Function Documentation

## close()

virtual void stdex::sys_object::close | ( |  | ) |

inlinevirtual

Closes object.

Reimplemented in stdex::stream::basic_sys.

The documentation for this class was generated from the following file:

- include/stdex/system.hpp